//
// Fragment shader for doing downsampling
//

#version 330

uniform sampler2DRect inputTex;
uniform sampler2DRect maskTex;

uniform float uBlendValue=1.0;

in vec2 fsTexCoords[4];
in vec2 fsTexture;
in vec2 fsMaskTexture;
out vec4 outColor;

void main()
{
    outColor=texture(inputTex,fsTexCoords[0]);
    outColor+=texture(inputTex,fsTexCoords[1]);
    outColor+=texture(inputTex,fsTexCoords[2]);
    outColor+=texture(inputTex,fsTexCoords[3]);
    outColor*=vec4(1.0/4.0,1.0/4.0,1.0/4.0,1.0/4.0);
}
